<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE configuration PUBLIC "-//mybatis.org//DTD Config 3.0//EN" "http://mybatis.org/dtd/mybatis-3-config.dtd">
<configuration>
	<!-- 设置  -->
	<settings>
        <!--关闭懒加载-->  
        <setting name="lazyLoadingEnabled" value="false" />  
		<!-- 日志使用log4j -->
        <setting name="logImpl" value="LOG4J"/>  
		<!-- 开启驼峰命名转换 map_entity to mapEntity -->
		<setting name="mapUnderscoreToCamelCase" value="true" />  
		<!-- 使用jdbc的getGeneratedKeys获取数据库自增主键 -->
		<setting name="useGeneratedKeys" value="true" />  
		<!-- 开启别列名转换 : select name as title form table -->
		<setting name="useColumnLabel" value="true" />  
    </settings>
    <!-- 别名设置 -->
	<typeAliases>
		<!-- 新版的后台管理 -->
		<typeAlias type="com.iamberry.sys.Admin" alias="Admin"/>
		<typeAlias type="com.iamberry.sys.AdminPocess" alias="AdminPocess"/>
		<typeAlias type="com.iamberry.sys.Menu" alias="NewMenu"/>
		<typeAlias type="com.iamberry.sys.SubMenu" alias="SubMenu"/>
		<typeAlias type="com.iamberry.sys.MenuPermisssion" alias="MenuPermisssion"/>
		<typeAlias type="com.iamberry.sys.SysRule" alias="SysRule"/>

		<typeAlias type="com.iamberry.wechat.core.entity.admin.AdminChildHavePermission" alias="AdminChildHavePermission"/>
		<typeAlias type="com.iamberry.wechat.core.entity.admin.AdminChildInfo" alias="AdminChildInfo"/>
		<typeAlias type="com.iamberry.wechat.core.entity.admin.AdminChildPermissionErmissions" alias="AdminChildPermissionErmissions"/>
		<typeAlias type="com.iamberry.wechat.core.entity.admin.AdminChildPermissions" alias="AdminChildPermissions"/>
		<typeAlias type="com.iamberry.wechat.core.entity.admin.AdminInfo" alias="AdminInfo"/>
		<typeAlias type="com.iamberry.wechat.core.entity.admin.AdminLog" alias="AdminLog"/>
		<typeAlias type="com.iamberry.wechat.core.entity.admin.AdminLoginDTO" alias="AdminLoginDTO"/>
		<typeAlias type="com.iamberry.wechat.core.entity.admin.ShopSystemRule" alias="ShopSystemRule"/>
		<typeAlias type="com.iamberry.wechat.core.entity.agent.AgentMemberDto" alias="AgentMemberDto"/>
		<typeAlias type="com.iamberry.wechat.core.entity.agent.AgentOrderDto" alias="AgentOrderDto"/>
		<typeAlias type="com.iamberry.wechat.core.entity.agent.OrderStatusDto" alias="OrderStatusDto"/>
		<typeAlias type="com.iamberry.wechat.core.entity.banner.ActionBanner" alias="ActionBanner"/>
		<typeAlias type="com.iamberry.wechat.core.entity.banner.ActionBannerImage" alias="ActionBannerImage"/>
		<typeAlias type="com.iamberry.wechat.core.entity.banner.BannerDTO" alias="BannerDTO"/>
		<typeAlias type="com.iamberry.wechat.core.entity.banner.JSONDTO" alias="JSONDTO"/>
		<typeAlias type="com.iamberry.wechat.core.entity.banner.MessageDTO" alias="MessageDTO"/>
		<typeAlias type="com.iamberry.wechat.core.entity.bindingApp.BindingMac" alias="BindingMac"/>
		<typeAlias type="com.iamberry.wechat.core.entity.bindingApp.BindingMacInfo" alias="BindingMacInfo"/>
		<typeAlias type="com.iamberry.wechat.core.entity.cart.CartDto" alias="CartDto"/>
		<typeAlias type="com.iamberry.wechat.core.entity.cart.OrderPayDto" alias="OrderPayDto"/>
		<typeAlias type="com.iamberry.wechat.core.entity.cart.SendPayDto" alias="SendPayDto"/>
		<typeAlias type="com.iamberry.wechat.core.entity.cart.ShopOrderAndItemDto" alias="ShopOrderAndItemDto"/>
		<typeAlias type="com.iamberry.wechat.core.entity.cart.ShopOrderItemDto" alias="ShopOrderItemDto"/>
		<typeAlias type="com.iamberry.wechat.core.entity.cart.ShopSalesOrderDto" alias="ShopSalesOrderDto"/>
		<typeAlias type="com.iamberry.wechat.core.entity.cart.TempOrderDto" alias="TempOrderDto"/>
		<typeAlias type="com.iamberry.wechat.core.entity.coupon.CouponItem" alias="CouponItem"/>
		<typeAlias type="com.iamberry.wechat.core.entity.coupon.CouponItemDto" alias="CouponItemDto"/>
		<typeAlias type="com.iamberry.wechat.core.entity.coupon.AdminCouponItemDto" alias="AdminCouponItemDto"/>
		<typeAlias type="com.iamberry.wechat.core.entity.coupon.CouponType" alias="CouponType"/>
		<typeAlias type="com.iamberry.wechat.core.entity.coupon.Exchange" alias="Exchange"/>
		<typeAlias type="com.iamberry.wechat.core.entity.coupon.ExchangeItem" alias="ExchangeItem"/>
		<typeAlias type="com.iamberry.wechat.core.entity.drp.EarningLogs" alias="EarningLogs"/>
		<typeAlias type="com.iamberry.wechat.core.entity.drp.EasyPage" alias="EasyPage"/>
		<typeAlias type="com.iamberry.wechat.core.entity.drp.IncomeRecord" alias="IncomeRecord"/>
		<typeAlias type="com.iamberry.wechat.core.entity.drp.ObjRecord" alias="ObjRecord"/>
		<typeAlias type="com.iamberry.wechat.core.entity.drp.ObjRecord2" alias="ObjRecord2"/>
		<typeAlias type="com.iamberry.wechat.core.entity.drp.PageBeanEarningLogs" alias="PageBeanEarningLogs"/>
		<typeAlias type="com.iamberry.wechat.core.entity.drp.PageBeanPlaceInfo" alias="PageBeanPlaceInfo"/>
		<typeAlias type="com.iamberry.wechat.core.entity.drp.PageBeanPlaceLogs" alias="PageBeanPlaceLogs"/>
		<typeAlias type="com.iamberry.wechat.core.entity.drp.PageBeanWithdraw" alias="PageBeanWithdraw"/>
		<typeAlias type="com.iamberry.wechat.core.entity.drp.PlaceInfo" alias="PlaceInfo"/>
		<typeAlias type="com.iamberry.wechat.core.entity.drp.PlaceInfoBattleDto" alias="PlaceInfoBattleDto"/>
		<typeAlias type="com.iamberry.wechat.core.entity.drp.PlaceLogs" alias="PlaceLogs"/>
		<typeAlias type="com.iamberry.wechat.core.entity.drp.PlaceRoleInfo" alias="PlaceRoleInfo"/>
		<typeAlias type="com.iamberry.wechat.core.entity.drp.PlaceWithDrawalsLogs" alias="PlaceWithDrawalsLogs"/>
		<typeAlias type="com.iamberry.wechat.core.entity.drp.ApplyUserInfo" alias="ApplyUserInfo"/>
		<typeAlias type="com.iamberry.wechat.core.entity.flow.TemplateFlowInfo" alias="TemplateFlowInfo"/>
		<typeAlias type="com.iamberry.wechat.core.entity.flow.TemplateInfo" alias="TemplateInfo"/>
		<typeAlias type="com.iamberry.wechat.core.entity.JsonBack" alias="JsonBack"/>
		<typeAlias type="com.iamberry.wechat.core.entity.member.ApplyDto" alias="ApplyDto"/>
		<typeAlias type="com.iamberry.wechat.core.entity.member.CashLog" alias="CashLog"/>
		<typeAlias type="com.iamberry.wechat.core.entity.member.Integral" alias="Integral"/>
		<typeAlias type="com.iamberry.wechat.core.entity.member.IntegralDto" alias="IntegralDto"/>
		<typeAlias type="com.iamberry.wechat.core.entity.member.Member" alias="Member"/>
		<typeAlias type="com.iamberry.wechat.core.entity.member.ShareInfo" alias="ShareInfo"/>
		<typeAlias type="com.iamberry.wechat.core.entity.member.Withdraw" alias="Withdraw"/>
		<typeAlias type="com.iamberry.wechat.core.entity.mq.MQMessage" alias="MQMessage"/>
		<typeAlias type="com.iamberry.wechat.core.entity.news.News" alias="News"/>
		<typeAlias type="com.iamberry.wechat.core.entity.order.Order" alias="Order"/>
		<typeAlias type="com.iamberry.wechat.core.entity.order.OrderRebackMoney" alias="OrderRebackMoney"/>
		<typeAlias type="com.iamberry.wechat.core.entity.order.OrderActionDto" alias="OrderActionDto"/>
		<typeAlias type="com.iamberry.wechat.core.entity.order.OrderItem" alias="OrderItem"/>
		<typeAlias type="com.iamberry.wechat.core.entity.order.OrderOperation" alias="OrderOperation"/>
		<typeAlias type="com.iamberry.wechat.core.entity.Page" alias="Page"/>
		<typeAlias type="com.iamberry.wechat.core.entity.PageBean" alias="PageBean"/>
		<typeAlias type="com.iamberry.wechat.core.entity.PaperBean" alias="PaperBean"/>
		<typeAlias type="com.iamberry.wechat.core.entity.pay.PayResult" alias="PayResult"/>
		<typeAlias type="com.iamberry.wechat.core.entity.product.Product" alias="Product"/>
		<typeAlias type="com.iamberry.wechat.core.entity.product.ProductImageText" alias="ProductImageText"/>
		<typeAlias type="com.iamberry.wechat.core.entity.product.ProductPicture" alias="ProductPicture"/>
		<typeAlias type="com.iamberry.wechat.core.entity.product.ProductColor" alias="ProductColor"/>
		<typeAlias type="com.iamberry.wechat.core.entity.qrcode.Qrcode" alias="Qrcode"/>
		<typeAlias type="com.iamberry.wechat.core.entity.qrcode.QrcodeResult" alias="QrcodeResult"/>
		<typeAlias type="com.iamberry.wechat.core.entity.qrcode.TemporaryQrcode" alias="TemporaryQrcode"/>
		<typeAlias type="com.iamberry.wechat.core.entity.reback.RebackInfo" alias="RebackInfo"/>
		<typeAlias type="com.iamberry.wechat.core.entity.reback.RolesListDto" alias="RolesListDto"/>
		<typeAlias type="com.iamberry.wechat.core.entity.reback.StoreStatiscInfo" alias="StoreStatiscInfo"/>
		<typeAlias type="com.iamberry.wechat.core.entity.relationship.DealerRelation" alias="DealerRelation"/>
		<typeAlias type="com.iamberry.wechat.core.entity.relationship.WdRelation" alias="WdRelation"/>
		<typeAlias type="com.iamberry.wechat.core.entity.wx.AccessToken" alias="AccessToken"/>
		<typeAlias type="com.iamberry.wechat.core.entity.wx.Article" alias="Article"/>
		<typeAlias type="com.iamberry.wechat.core.entity.wx.BaseMessage" alias="BaseMessage"/>
		<typeAlias type="com.iamberry.wechat.core.entity.wx.Button" alias="Button"/>
		<typeAlias type="com.iamberry.wechat.core.entity.wx.CommonButton" alias="CommonButton"/>
		<typeAlias type="com.iamberry.wechat.core.entity.wx.ComplexButton" alias="ComplexButton"/>
		<typeAlias type="com.iamberry.wechat.core.entity.wx.Config" alias="Config"/>
		<typeAlias type="com.iamberry.wechat.core.entity.wx.ConfigJSSDK" alias="ConfigJSSDK"/>
		<typeAlias type="com.iamberry.wechat.core.entity.wx.FirstAccess" alias="FirstAccess"/>
		<typeAlias type="com.iamberry.wechat.core.entity.wx.FirstJoinKey" alias="FirstJoinKey"/>
		<typeAlias type="com.iamberry.wechat.core.entity.wx.ImageTextInfo" alias="ImageTextInfo"/>
		<typeAlias type="com.iamberry.wechat.core.entity.wx.ImagetextMaterial" alias="ImagetextMaterial"/>
		<typeAlias type="com.iamberry.wechat.core.entity.wx.ImageTextMore" alias="ImageTextMore"/>
		<typeAlias type="com.iamberry.wechat.core.entity.wx.Income" alias="Income"/>
		<typeAlias type="com.iamberry.wechat.core.entity.wx.ITTempLate" alias="ITTempLate"/>
		<typeAlias type="com.iamberry.wechat.core.entity.wx.KeyWord" alias="KeyWord"/>
		<typeAlias type="com.iamberry.wechat.core.entity.wx.Menu" alias="Menu"/>
		<typeAlias type="com.iamberry.wechat.core.entity.wx.MenuData" alias="MenuData"/>
		<typeAlias type="com.iamberry.wechat.core.entity.wx.MenuInfo" alias="MenuInfo"/>
		<typeAlias type="com.iamberry.wechat.core.entity.wx.MenuKeySet" alias="MenuKeySet"/>
		<typeAlias type="com.iamberry.wechat.core.entity.wx.Music" alias="Music"/>
		<typeAlias type="com.iamberry.wechat.core.entity.wx.MusicMessage" alias="MusicMessage"/>
		<typeAlias type="com.iamberry.wechat.core.entity.wx.NewsMessage" alias="NewsMessage"/>
		<typeAlias type="com.iamberry.wechat.core.entity.wx.PagingDTO" alias="PagingDTO"/>
		<typeAlias type="com.iamberry.wechat.core.entity.wx.QRCJson" alias="QRCJson"/>
		<typeAlias type="com.iamberry.wechat.core.entity.wx.Rewards" alias="Rewards"/>
		<typeAlias type="com.iamberry.wechat.core.entity.wx.Shipment" alias="Shipment"/>
		<typeAlias type="com.iamberry.wechat.core.entity.wx.Status" alias="Status"/>
		<typeAlias type="com.iamberry.wechat.core.entity.wx.TextMessage" alias="TextMessage"/>
		<typeAlias type="com.iamberry.wechat.core.entity.wx.Ticket" alias="Ticket"/>
		<typeAlias type="com.iamberry.wechat.core.entity.wx.Token" alias="Token"/>
		<typeAlias type="com.iamberry.wechat.core.entity.wx.TransferCustomer" alias="TransferCustomer"/>
		<typeAlias type="com.iamberry.wechat.core.entity.wx.TransInfo" alias="TransInfo"/>
		<typeAlias type="com.iamberry.wechat.core.entity.wx.WxPayDto" alias="WxPayDto"/>
		<typeAlias type="com.iamberry.wechat.core.entity.wx.WxPayResult" alias="WxPayResult"/>
		<typeAlias type="com.iamberry.wechat.core.entity.wx.WxPrepayIdErrorResult" alias="WxPrepayIdErrorResult"/>
		<typeAlias type="com.iamberry.wechat.core.entity.wx.ZTreeBean" alias="ZTreeBean"/>
		<typeAlias type="com.iamberry.wechat.core.entity.drp.ApplyPlaceLogs" alias="ApplyPlaceLogs"/>
		<typeAlias type="com.iamberry.wechat.core.entity.wx.WechatShare" alias="WechatShare"/>
	
		<!-- 【门店关注统计报表类】 -->
		<typeAlias type="com.iamberry.wechat.core.entity.statictics.AttentionInfo" alias="AttentionInfo"/>
		<typeAlias type="com.iamberry.wechat.core.entity.statictics.MarketInfo" alias="MarketInfo"/>
		<!-- 【省代收益统计报表类】 -->
		<typeAlias type="com.iamberry.wechat.core.entity.statictics.EarningsInfo" alias="EarningsInfo"/>
		<!-- 【激活数量统计报表类】 -->
		<typeAlias type="com.iamberry.wechat.core.entity.statictics.ActivateInfo" alias="ActivateInfo"/>
		<!-- 【激活用户信息报表类】 -->
		<typeAlias type="com.iamberry.wechat.core.entity.statictics.UerActivateInfo" alias="UerActivateInfo"/>
		<!-- 【产品返利类型】 -->
		<typeAlias type="com.iamberry.wechat.core.entity.product.ProductType" alias="ProductType"/>
		<!-- 【统计总信息类】 -->
		<typeAlias type="com.iamberry.wechat.core.entity.statictics.StatisticsInfo" alias="StatisticsInfo"/>
		
		<!-- 定期任务 -->
		<typeAlias type="com.iamberry.wechat.core.entity.task.WechatTask" alias="WechatTask"/>
		<typeAlias type="com.iamberry.wechat.core.entity.task.WechatTaskLogs" alias="WechatTaskLogs"/>
		
		<!-- 【会员分销奖励记录】 -->
		<typeAlias type="com.iamberry.wechat.core.entity.rewards.RewardsLog" alias="RewardsLog"/>
		<!-- 【会员等级】 -->
		<typeAlias type="com.iamberry.wechat.core.entity.rewards.RewardsRank" alias="RewardsRank"/>
		<!-- 【会员销售记录】 -->
		<typeAlias type="com.iamberry.wechat.core.entity.rewards.SalesLog" alias="SalesLog"/>
		
		<!-- 游戏实体dto -->
		<typeAlias type="com.iamberry.wechat.core.entity.game.GameSystemDto" alias="GameSystemDto"/>
		<!-- 游戏日志dto -->
		<typeAlias type="com.iamberry.wechat.core.entity.game.GameLogsDto" alias="GameLogsDto"/>
		<!-- 游戏奖品dto -->
		<typeAlias type="com.iamberry.wechat.core.entity.game.GamePrizeDto" alias="GamePrizeDto"/>
		
		
		<!-- 营养自测 -->
		<typeAlias type="com.iamberry.wechat.core.entity.questionnaire.QuestionnairePaper" alias="QuestionnairePaper"/>
		<typeAlias type="com.iamberry.wechat.core.entity.questionnaire.QuestionnaireAnswer" alias="QuestionnaireAnswer"/>
		<typeAlias type="com.iamberry.wechat.core.entity.questionnaire.QuestionnaireAnswerDetailed" alias="QuestionnaireAnswerDetailed"/>
		<typeAlias type="com.iamberry.wechat.core.entity.questionnaire.QuestionnaireOption" alias="QuestionnaireOption"/>
		<typeAlias type="com.iamberry.wechat.core.entity.questionnaire.QuestionnaireQuestion" alias="QuestionnaireQuestion"/>
		<typeAlias type="com.iamberry.wechat.core.entity.questionnaire.QuestionnaireTestPaper" alias="QuestionnaireTestPaper"/>
		<typeAlias type="com.iamberry.wechat.core.entity.questionnaire.QuestionnairePaperDto" alias="QuestionnairePaperDto"/>
		
		<!-- 试用订单 -->
		<typeAlias type="com.iamberry.wechat.core.entity.probation.ProbationAwardRelu" alias="ProbationAwardRelu"/>	
		<typeAlias type="com.iamberry.wechat.core.entity.probation.ProbationNewLogs" alias="ProbationNewLogs"/>		
		<typeAlias type="com.iamberry.wechat.core.entity.probation.ProbationUserInfo" alias="ProbationUserInfo"/>		
	  	<typeAlias type="com.iamberry.wechat.core.entity.order.ProbationOrder" alias="ProbationOrder"/>
	  	<typeAlias type="com.iamberry.wechat.core.entity.order.ProbationOrderDto" alias="ProbationOrderDto"/>	
	  	<typeAlias type="com.iamberry.wechat.core.entity.order.ProbationCode" alias="ProbationCode"/>	
	  	<typeAlias type="com.iamberry.wechat.core.entity.probation.ProbationUserDto" alias="ProbationUserDto"/>
	  	
	  	<!-- 租赁订单 -->
	  	<typeAlias type="com.iamberry.wechat.core.entity.lease.LeaseOrder" alias="LeaseOrder"/>
	  	<typeAlias type="com.iamberry.wechat.core.entity.machine.Machine" alias="Machine"/>
	  	<typeAlias type="com.iamberry.wechat.core.entity.machine.MachineShareRecord" alias="MachineShareRecord"/>
	  	<typeAlias type="com.iamberry.wechat.core.entity.statictics.SalesmanDto" alias="SalesmanDto"/>
	  	<typeAlias type="com.iamberry.wechat.core.entity.statictics.SalesmanInfo" alias="SalesmanInfo"/>
	  	<typeAlias type="com.iamberry.wechat.core.entity.statictics.SalesmanRelation" alias="SalesmanRelation"/>
	  	
	  	
	  	<typeAlias type="com.iamberry.wechat.core.entity.statictics.StoresStatisticsDto" alias="StoresStatisticsDto"/>
	  	<typeAlias type="com.iamberry.wechat.core.entity.statictics.VipOfflineDto" alias="VipOfflineDto"/>
	  	
	  	<!-- 赠送礼品信息表 -->
	  	<typeAlias type="com.iamberry.wechat.core.entity.cart.UserGiftDto" alias="UserGiftDto"/>	
	  		  	
	  	<!-- 返利奖励任务表 -->
	  	<typeAlias type="com.iamberry.wechat.core.entity.flow.TemplateReward" alias="TemplateReward"/>
	  	<!-- 销售订单统计 -->
	  	<typeAlias type="com.iamberry.wechat.core.entity.statictics.StatisticsOrderDTO" alias="StatisticsOrderDTO"/>
	  	<typeAlias type="com.iamberry.wechat.core.entity.statictics.StatisticManagerDto" alias="StatisticManagerDto"/>
	  	<typeAlias type="com.iamberry.wechat.core.entity.statictics.StatisticOrderByMonthDto" alias="StatisticOrderByMonthDto"/>

		<!-- 礼品卡相关 -->	  	
	  	<typeAlias type="com.iamberry.wechat.core.entity.giftCard.AgentInfo" alias="AgentInfo"/>
		<typeAlias type="com.iamberry.wechat.core.entity.giftCard.AgentPayLogs" alias="AgentPayLogs"/>
		<typeAlias type="com.iamberry.wechat.core.entity.giftCard.AgentMachine" alias="AgentMachine"/>
		<typeAlias type="com.iamberry.wechat.core.entity.giftCard.UserMachineInfo" alias="UserMachineInfo"/>
		<typeAlias type="com.iamberry.wechat.core.entity.giftCard.GiftCardInfo" alias="GiftCardInfo"/>
		<typeAlias type="com.iamberry.wechat.core.entity.giftCard.CardCashInfo" alias="CardCashInfo"/>
		<typeAlias type="com.iamberry.wechat.core.entity.giftCard.GiftCardPayCode" alias="GiftCardPayCode"/>
		
		<!-- 水机租赁 -->
		<typeAlias type="com.iamberry.wechat.core.entity.rent.RentTypeInfo" alias="RentTypeInfo"/>

		<!--感恩回馈-活动-->
		<typeAlias type="com.iamberry.wechat.core.entity.thanksgiving.ThanksGiving" alias="ThanksGiving"/>

		<!--官网查询授权码-->
		<typeAlias type="com.iamberry.wechat.core.entity.official.Prospectus" alias="Prospectus"/>
		<!--2019 38节活动-->
		<typeAlias type="com.iamberry.wechat.core.entity.admin.FullReduction" alias="FullReduction"/>

		<!--首页热销产品-->
		<typeAlias type="com.iamberry.wechat.core.entity.product.IndexProduct" alias="IndexProduct"/>

		<!--访问统计-->
		<typeAlias type="com.iamberry.wechat.core.entity.stati.AcceStatistics" alias="AcceStatistics"/>
		<!--母亲节活动-->
		<typeAlias type="com.iamberry.wechat.core.entity.mothMovable.MothMovable" alias="MothMovable"/>
		<typeAlias type="com.iamberry.wechat.core.entity.mothMovable.MothPopularity" alias="MothPopularity"/>

		<!--赠品-->
		<typeAlias type="com.iamberry.wechat.core.entity.eo.SettlementGift" alias="SettlementGift"/>
		<typeAlias type="com.iamberry.wechat.core.entity.eo.GiftCondition" alias="GiftCondition"/>
		<typeAlias type="com.iamberry.wechat.core.entity.eo.GiftPool" alias="GiftPool"/>
		<typeAlias type="com.iamberry.wechat.core.entity.eo.Promotions" alias="Promotions"/>
		<typeAlias type="com.iamberry.wechat.core.entity.eo.Spike" alias="Spike"/>
		<typeAlias type="com.iamberry.wechat.core.entity.eo.ItemGift" alias="ItemGift"/>

		<!--团购-->
		<!--<typeAlias type="com.iamberry.wechat.core.entity.order.ShopSpellInfo" alias="ShopSpellInfo"/>-->

		<!--积分-->
		<typeAlias type="com.iamberry.wechat.core.entity.ism.IntegralConfig" alias="IntegralConfig"/>
		<typeAlias type="com.iamberry.wechat.core.entity.ism.IntegralLog" alias="IntegralLog"/>

		<package name="com.iamberry.wechat.core.entity.rent"/>
	</typeAliases>
	<!-- PageHelper -->
	<plugins>
		<plugin interceptor="com.github.pagehelper.PageInterceptor">
			<property name="reasonable" value="true"/>
			<property name="pageSizeZero" value="true"/>
		</plugin>
	</plugins>
	<mappers>
		<mapper resource="com/iamberry/wechat/service/mapper/adminBannerMapper.xml"/>
		<mapper resource="com/iamberry/wechat/service/mapper/adminChildPermissionsMapper.xml"/>
		<mapper resource="com/iamberry/wechat/service/mapper/adminCouponItemMapper.xml"/>
		<mapper resource="com/iamberry/wechat/service/mapper/adminInfoMapper.xml"/>
		<mapper resource="com/iamberry/wechat/service/mapper/adminLogMapper.xml"/>
		<mapper resource="com/iamberry/wechat/service/mapper/adminOrderMapper.xml"/>
		<mapper resource="com/iamberry/wechat/service/mapper/adminStatisticsMapper.xml"/>
		<mapper resource="com/iamberry/wechat/service/mapper/agentMemberMapper.xml"/>
		<mapper resource="com/iamberry/wechat/service/mapper/agentOrderMapper.xml"/>
		<mapper resource="com/iamberry/wechat/service/mapper/bindingMacMapper.xml"/>
		<mapper resource="com/iamberry/wechat/service/mapper/cartMapper.xml"/>
		<mapper resource="com/iamberry/wechat/service/mapper/cashLogMapper.xml"/>
		<mapper resource="com/iamberry/wechat/service/mapper/configMapper.xml"/>
		<mapper resource="com/iamberry/wechat/service/mapper/couponItemMapper.xml"/>
		<mapper resource="com/iamberry/wechat/service/mapper/couponTypeMapper.xml"/>
		<mapper resource="com/iamberry/wechat/service/mapper/exchangeItemMapper.xml"/>
		<mapper resource="com/iamberry/wechat/service/mapper/exchangeMapper.xml"/>
		<mapper resource="com/iamberry/wechat/service/mapper/dealerRelationMapper.xml"/>
		<mapper resource="com/iamberry/wechat/service/mapper/drpRoleInfoMapper.xml"/>
		<mapper resource="com/iamberry/wechat/service/mapper/firstAccessMapper.xml"/>
		<mapper resource="com/iamberry/wechat/service/mapper/firstJoinKeyMapper.xml"/>
		<mapper resource="com/iamberry/wechat/service/mapper/gameMapper.xml"/>
		<mapper resource="com/iamberry/wechat/service/mapper/homeMemberMapper.xml"/>
		<mapper resource="com/iamberry/wechat/service/mapper/imageTextInfoMapper.xml"/>
		<mapper resource="com/iamberry/wechat/service/mapper/imageTextMoreMapper.xml"/>
		<mapper resource="com/iamberry/wechat/service/mapper/keyWordMapper.xml"/>
		<mapper resource="com/iamberry/wechat/service/mapper/memberMapper.xml"/>
		<mapper resource="com/iamberry/wechat/service/mapper/menuInfoMapper.xml"/>
		<mapper resource="com/iamberry/wechat/service/mapper/menuKeySetMapper.xml"/>
		<mapper resource="com/iamberry/wechat/service/mapper/mqMapper.xml"/>
		<mapper resource="com/iamberry/wechat/service/mapper/newsMapper.xml"/>
		<mapper resource="com/iamberry/wechat/service/mapper/orderMapper.xml"/>
		<mapper resource="com/iamberry/wechat/service/mapper/placeInfoMapper.xml"/>
		<mapper resource="com/iamberry/wechat/service/mapper/placeLogsMapper.xml"/>
		<mapper resource="com/iamberry/wechat/service/mapper/placeWithDrawalsLogsMapper.xml"/>
		<mapper resource="com/iamberry/wechat/service/mapper/productImageTextMapper.xml"/>
		<mapper resource="com/iamberry/wechat/service/mapper/productInfoMapper.xml"/>
		<mapper resource="com/iamberry/wechat/service/mapper/productMapper.xml"/>
		<mapper resource="com/iamberry/wechat/service/mapper/productPictureMapper.xml"/>
		<mapper resource="com/iamberry/wechat/service/mapper/productColorMapper.xml"/>
		<mapper resource="com/iamberry/wechat/service/mapper/qrcodeMapper.xml"/>
		<mapper resource="com/iamberry/wechat/service/mapper/rebackInfoMapper.xml"/>
		<mapper resource="com/iamberry/wechat/service/mapper/rewardsMapper.xml"/>
		<mapper resource="com/iamberry/wechat/service/mapper/salesLogMapper.xml"/>
		<mapper resource="com/iamberry/wechat/service/mapper/systemMapper.xml"/>
		<mapper resource="com/iamberry/wechat/service/mapper/taskMapper.xml"/>
		<mapper resource="com/iamberry/wechat/service/mapper/templateFlowInfoMapper.xml"/>
		<mapper resource="com/iamberry/wechat/service/mapper/templateInfoMapper.xml"/>
		<mapper resource="com/iamberry/wechat/service/mapper/temporaryQrcodeMapper.xml"/>
		<mapper resource="com/iamberry/wechat/service/mapper/tokenMapper.xml"/>
		<mapper resource="com/iamberry/wechat/service/mapper/wdRelationMapper.xml"/>
		<mapper resource="com/iamberry/wechat/service/mapper/wechatShareMapper.xml"/>
		<mapper resource="com/iamberry/wechat/service/mapper/withdrawMapper.xml"/>
		
		<!-- 试用订单流程mapper -->
		<mapper resource="com/iamberry/wechat/service/mapper/probationShopOrderMapper.xml"/>
		<mapper resource="com/iamberry/wechat/service/mapper/adminProbationOrderMapper.xml"/>
		<mapper resource="com/iamberry/wechat/service/mapper/probationMapper.xml"/>
		
		<!-- 前端统计mapper -->
		<mapper resource="com/iamberry/wechat/service/mapper/statisticsRelationMapper.xml"/>
		
		<!-- 租赁订单流程mapper -->
		<mapper resource="com/iamberry/wechat/service/mapper/leaseOrderMapper.xml"/>
		<mapper resource="com/iamberry/wechat/service/mapper/leaseMachineMapper.xml"/>
		
		<!-- 礼品卡 -->
		<mapper resource="com/iamberry/wechat/service/mapper/userMachineInfoMapper.xml"/>
		<mapper resource="com/iamberry/wechat/service/mapper/giftCardMapper.xml"/>
		<mapper resource="com/iamberry/wechat/service/mapper/agentMachineMapper.xml"/>
		<mapper resource="com/iamberry/wechat/service/mapper/agentMapper.xml"/>
		<mapper resource="com/iamberry/wechat/service/mapper/giftCardPayCodeMapper.xml"/>
	
		<!-- 水机租赁 -->
		<mapper resource="com/iamberry/rent/service/order/mapper/rentOrderMapper.xml"/>	
		<mapper resource="com/iamberry/rent/service/machine/mapper/machineMapper.xml"/>	
		<mapper resource="com/iamberry/rent/service/order/mapper/serviceCouponMapper.xml"/>	
		<mapper resource="com/iamberry/rent/service/rebate/mapper/orderRebateMapper.xml"/>	
		<mapper resource="com/iamberry/rent/service/order/mapper/rentExchangeMapper.xml"/>
		<mapper resource="com/iamberry/wechat/service/mapper/reserveMapper.xml"/>

		<!--感恩回馈-活动-->
		<mapper resource="com/iamberry/wechat/service/mapper/thanksGivingMapper.xml"/>

		<!--官网查询授权码-->
		<mapper resource="com/iamberry/wechat/service/mapper/prospectusMapper.xml"/>

		<!--首页热销产品-->
		<mapper resource="com/iamberry/wechat/service/mapper/indexProductMapper.xml"/>

		<!--访问统计-->
		<mapper resource="com/iamberry/wechat/service/mapper/acceStatisticsMapper.xml"/>
		<!--母亲节活动-->
		<mapper resource="com/iamberry/wechat/service/mapper/mothMovableMapper.xml"/>
		<mapper resource="com/iamberry/wechat/service/mapper/mothPopularityMapper.xml"/>

		<!--赠品-->
		<mapper resource="com/iamberry/wechat/service/mapper/settlementGiftMapper.xml"/>
		<mapper resource="com/iamberry/wechat/service/mapper/giftPoolMapper.xml"/>
		<mapper resource="com/iamberry/wechat/service/mapper/promotionsMapper.xml"/>
		<mapper resource="com/iamberry/wechat/service/mapper/spikeMapper.xml"/>
		<mapper resource="com/iamberry/wechat/service/mapper/giftConditionMapper.xml"/>
		<mapper resource="com/iamberry/wechat/service/mapper/itemGiftMapper.xml"/>

		<!--赠品-->
		<mapper resource="com/iamberry/wechat/service/mapper/integralConfigMapper.xml"/>
		<mapper resource="com/iamberry/wechat/service/mapper/IntegralLogMapper.xml"/>

		<!-- 新版的后台管理 -->
		<mapper resource="com/iamberry/wechat/service/sys/mapper/sysMapper.xml"/>
	</mappers>
</configuration>